commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jochen Wiedmann" <>
Subject Re: [io] 2.0 Moving to minimum of JDK 1.5
Date Wed, 06 Feb 2008 07:31:29 GMT
On Feb 6, 2008 5:02 AM, Henri Yandell <> wrote:

> I buy your argument for huge changes, ie) collections-generics is very
> much a different product. I don't buy it for small API changes and
> removal of deprecation. Your argument would imply that we should never
> deprecate (as we're never going to actually remove it) and that we
> never increase a major version except for PR reasons.

I second this. IMO, binary compatibility is overemphasized in commons.
In my practical experience I always found it to be sufficient that a
change is detected by the compiler.


Look, that's why there's rules, understand? So that you think before
you break 'em.

    -- (Terry Pratchett, Thief of Time)

To unsubscribe, e-mail:
For additional commands, e-mail:

View raw message